/* resources/styles/globals/flex.css */
.flex {
  display: flex;
}

.flex-row {
  flex-direction: row;
}

.flex-row-reverse {
  flex-direction: row-reverse;
}

.flex-col {
  flex-direction: column;
}

.flex-col-reverse {
  flex-direction: column-reverse;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-nowrap {
  flex-wrap: nowrap;
}

.flex-wrap-reverse {
  flex-wrap: wrap-reverse;
}

.justify-start {
  justify-content: flex-start;
}

.justify-end {
  justify-content: flex-end;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.justify-around {
  justify-content: space-around;
}

.justify-evenly {
  justify-content: space-evenly;
}

.items-start {
  align-items:  flex-start;
}

.items-end {
  align-items:  flex-end;
}

.items-center {
  align-items:  center;
}

.items-baseline {
  align-items: baseline;
}

.items-stretch {
  align-items: stretch;
}

.content-start {
  align-content:  flex-start;
}

.content-end {
  align-content:  flex-end;
}

.content-center {
  align-content:  center;
}

.content-between {
  align-content: space-between;
}

.content-around {
  align-content: space-around;
}

.content-stretch {
  align-content: stretch;
}

.self-auto {
  align-self: auto;
}

.self-start {
  align-self:  flex-start;
}

.self-end {
  align-self:  flex-end;
}

.self-center {
  align-self:  center;
}

.self-stretch {
  align-self: stretch;
}

.grow {
  flex-grow: 1;
}

.shrink {
  flex-shrink: 1;
}

.basis-auto {
  flex-basis: auto;
}

.basis-100 {
  flex-basis: 100%;
}

/* resources/styles/globals/grid.css */
.grid, .grid-1 {
  display: grid;
}

.grid-2 {
  display: grid;
  grid-template-columns: 1fr;
}

@media (min-width: 62rem) {
  .grid-2 {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
  }
}

@media screen and (min-width: 62rem) {
  .grid-3 {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .grid-span-2 {
    grid-column: span 2;
  }

  .grid-span-3 {
    grid-column: span 3;
  }
}

.place-center {
  place-content:  center;
}

.grid-auto {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100%, 150px), 1fr));
}

/* resources/styles/globals/mq.css */
@media (max-width: 62em) {
  .hide-on-small {
    display: none !important;
  }
}

@media (min-width: 62em) {
  .hide-on-large {
    display: none !important;
  }
}

@media (max-width: 80em) {
  .hide-on-medium {
    display: none !important;
  }
}

@media (min-width: 80em) {
  .hide-on-xlarge {
    display: none !important;
  }
}

/* resources/styles/globals/shadows.css */
.shadow {
  box-shadow: 0 0 12px #00000014;
}

/* resources/styles/globals/spacing.css */
:root {
  --spacing-1: clamp(.25rem, .625vw, .5rem);
  --spacing-2: clamp(.5rem, 1.25vw, 1rem);
  --spacing-3: clamp(1rem, 2.5vw, 1.5rem);
  --spacing-4: clamp(1.5rem, 3.75vw, 2.5rem);
  --spacing-5: clamp(2.5rem, 6.25vw, 4rem);
  --s-1: var(--spacing-1);
  --s-2: var(--spacing-2);
  --s-3: var(--spacing-3);
}

.mt-1 {
  margin-top: var(--s-1);
}

.mt-2 {
  margin-top: var(--s-2);
}

.mt-3 {
  margin-top: var(--s-3);
}

.mb-1 {
  margin-bottom: var(--s-1);
}

.mb-2 {
  margin-bottom: var(--s-2);
}

.mb-3 {
  margin-bottom: var(--s-3);
}

.my-1 {
  margin-block: var(--s-1);
}

.my-2 {
  margin-block: var(--s-2);
}

.my-3 {
  margin-block: var(--s-3);
}

.mx-1 {
  margin-inline: var(--s-1);
}

.mx-2 {
  margin-inline: var(--s-2);
}

.mx-3 {
  margin-inline: var(--s-3);
}

.pt-1 {
  padding-top: var(--s-1);
}

.pt-2 {
  padding-top: var(--s-2);
}

.pt-3 {
  padding-top: var(--s-3);
}

.pb-1 {
  padding-bottom: var(--s-1);
}

.pb-2 {
  padding-bottom: var(--s-2);
}

.pb-3 {
  padding-bottom: var(--s-3);
}

.py-1 {
  padding-block: var(--s-1);
}

.py-2 {
  padding-block: var(--s-2);
}

.py-3 {
  padding-block: var(--s-3);
}

.px-1 {
  padding-inline: var(--s-1);
}

.px-2 {
  padding-inline: var(--s-2);
}

.px-3 {
  padding-inline: var(--s-3);
}

.gap-1 {
  gap: var(--s-1);
}

.gap-2 {
  gap: var(--s-2);
}

.gap-3 {
  gap: var(--s-3);
}

/* resources/styles/globals/accordion.css */
.accordion__wrapper {
  display: grid;
  grid-template-rows: 0fr;
  opacity: 1;
  transition: grid-template-rows .3s, opacity .3s, transform .3s;
  transform: scale(0)translateX(-30px);
}

.accordion__content {
  overflow: hidden;
}

.accordion__wrapper--open {
  opacity: 1;
  grid-template-rows: 1fr;
  transform: translateX(0)scale(1);
}

.accordion-horizontal__wrapper {
  display: grid;
  grid-template-columns: 0fr;
}

.accordion-horizontal__wrapper {
  display: grid;
  grid-template-columns: 0fr;
  opacity: 0;
  transition: grid-template-columns .3s, opacity .3s, transform .3s;
  transform: scaleX(0)translateY(-30px);
}

.accordion-horizontal__content {
  overflow: hidden;
  white-space: nowrap;
}

.accordion-horizontal__wrapper--open {
  opacity: 1;
  grid-template-columns: 1fr;
  transform: translateX(0)scaleX(1);
}

/* resources/styles/globals/layout.css */
.container {
  width: min(100% - 2rem, 90rem);
  margin-inline-start: auto;
  margin-inline-end: auto;
}

@media screen and (min-width: 62rem) {
  .container {
    width: min(100%, 90rem) !important;
  }
}

.wrapper {
  width: min(100%, 90rem);
  margin-inline-start: auto;
  margin-inline-end: auto;
}

/* resources/styles/globals/typography.css */
.uppercase {
  text-transform: uppercase;
}

.capitalize {
  text-transform: capitalize;
}

.lowercase {
  text-transform: lowercase;
}

.italic {
  font-style: italic;
}

.text-lead-xl {
  font-size: clamp(1.5rem, 1.04545rem + 1.8648vw, 2.5rem) !important;
}

.text-center {
  text-align: center !important;
}

.text-left {
  text-align: left !important;
}

.text-right {
  text-align: right !important;
}

.text-lead-lg {
  font-size: clamp(1.125rem, .727273rem + 1.6317vw, 2rem) !important;
}

.text-lead-md {
  font-size: clamp(1rem, .659091rem + 1.44296vw, 1.75rem) !important;
}

.text-lead-sm {
  font-size: clamp(.875rem, .590909rem + 1.19692vw, 1.5rem) !important;
}

.text-lead-xs {
  font-size: clamp(.75rem, .522727rem + .950881vw, 1.25rem) !important;
}

.fw-400 {
  font-weight: 400 !important;
}

.fw-500 {
  font-weight: 500 !important;
}

.fw-900 {
  font-weight: 900 !important;
}

.text-white {
  color: #fff !important;
}

.text-black {
  color: var(--wp--preset--color--custom-contrast) !important;
}

.text-primary {
  color: var(--wp--preset--color--custom-primary) !important;
}

.text-secondary {
  color: var(--wp--preset--color--custom-secondary) !important;
}

.text-grey {
  color: #7e7d7a;
}

.contrast-text {
  color: #fff;
  mix-blend-mode: difference;
  isolation: isolate;
  text-shadow: inset 0 0 1px black, 0 0 10px black;
  transition: opacity .3s ease-in-out;
}

.contrast-text:hover {
  color: #7e7d7a;
}

.fs-h1 {
  font-size: clamp(1.75rem, .8571rem + 2.8571vw, 3rem);
}

.fs-h2 {
  font-size: clamp(1.5rem, .7857rem + 2.2857vw, 2.5rem);
}

.fs-p {
  font-size: clamp(1rem, .8214rem + .5714vw, 1.25rem);
}

.text-xxs {
  font-size: .75rem !important;
}

.text-xs {
  font-size: .875rem !important;
}

.text-sm {
  font-size: clamp(.8rem, 2vw, 1rem) !important;
}

.text-md {
  font-size: clamp(.9rem, 2.5vw, 1.25rem) !important;
}

.text-lg {
  font-size: clamp(1.25rem, .7143rem + 1.7143vw, 2rem);
}

.text-xl, .text-xxl {
  font-size: clamp(1.5rem, .7857rem + 2.2857vw, 2.5rem) !important;
}

h1, h2, h3, h4, h5, h6 {
  line-height: 1.3;
}

p {
  line-height: 1.5;
}

.nowrap {
  white-space: nowrap;
}

/* resources/styles/globals/lazyload.css */
.lazy-load-image {
  filter: blur(10px);
  width: 100%;
  height: auto;
  transition: filter .7s, transform 1s;
}

.lazy-load-image.loaded {
  filter: blur(0) !important;
}

.image-cover {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
  transition: filter .7s, transform 1s;
  inset: 0;
}

.image-contain {
  position: absolute;
  object-fit: contain;
  width: 100%;
  height: 100%;
  transition: filter .7s, transform 1s;
  inset: 0;
}

/* resources/styles/ui/buttons.css */
button {
  color: inherit;
  cursor: pointer;
  background: none;
  border: none;
  margin: 0;
  padding: 0;
}

button:focus, button:active {
  outline: .3rem solid #007bff40;
  outline-offset: .1rem;
}

.button {
  cursor: pointer;
  background: var(--btn-color);
  color: #fff;
  display: flex;
  border: 1px solid var(--btn-color-border);
  position: relative;
  overflow: hidden;
  border-radius: .25rem;
  justify-content: center;
  align-items:  center;
  gap: 1rem;
  padding: .5rem 1.5rem;
  transition: background-color .3s ease-in-out;
}

.button:hover {
  border: var(--btn-color-border) solid 1px;
  background: var(--btn-color-hover);
}

.button svg, .button img {
  height: 1.2rem;
}

.button--circle {
  overflow: hidden;
  aspect-ratio: 1;
  border-radius: 50rem;
  padding: .4rem;
  width: 2rem !important;
  height: 2rem !important;
}

.button--outline {
  color: var(--btn-color-border);
  stroke: var(--btn-color-border) !important;
  background: #fff !important;
}

.button--outline svg path {
  stroke: var(--btn-color-border) !important;
}

.button--outline:hover {
  color: #fff;
  background: var(--btn-color-border) !important;
}

.button--outline:hover svg path {
  stroke: #fff !important;
}

.button--green {
  --btn-color-border: var(--wp--preset--color--custom-success);
  --btn-color: var(--wp--preset--color--custom-success) !important;
  --btn-hover: var(--wp--preset--color--custom-success) !important;
}

.button--blue {
  --btn-color: var(--wp--preset--color--custom-secondary) !important;
  --btn-hover: var(--wp--preset--color--custom-secondary-1) !important;
  --btn-color-border: var(--wp--preset--color--custom-secondary) !important;
}

.button--blue:hover {
  background: var(--wp--preset--color--custom-secondary-1);
  --btn-color-border: var(--wp--preset--color--custom-secondary-1) !important;
}

.button:disabled {
  color: #0000;
  cursor: not-allowed;
}

.button:disabled:after {
  content: "";
  position: absolute;
  animation: spin 1s linear infinite;
  border: 3px solid #f3f3f3;
  border-top-color: #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  top: 50%;
  left: 50%;
}

@keyframes spin {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}

.button-more--red {
  --section-color: var(--wp--preset--color--custom-primary) !important;
}

.button-more {
  --section-color: var(--wp--preset--color--custom-secondary);
  position: relative;
  display: flex;
  z-index: 1;
  text-align: center;
  color: var(--section-color);
  justify-content: center;
  align-items:  center;
  margin-top: 1rem;
  margin-bottom: 3rem;
}

.button-more:before {
  content: "";
  background: var(--section-color);
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 1px;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.button-more-text, .button-more .btn-outline {
  background: #fff;
}

@media (min-width: 62rem) {
  .button-more-text, .button-more .btn-outline {
    padding-inline-start: 2.5rem;
    padding-inline-end: 2.5rem;
  }
}

.button-more-text .btn, .button-more .btn-outline .btn {
  z-index: 2;
  display: flex;
  text-transform: uppercase;
  gap: 1rem;
  line-height: normal;
}

/* resources/styles/ui/lineclamp.css */
.lines {
  --lines: 2;
  -webkit-line-clamp: var(--lines);
  line-clamp: var(--lines);
  overflow: hidden;
  -webkit-box-orient: vertical;
  display: -webkit-box !important;
  text-overflow: ellipsis !important;
}

.lines-1 {
  --lines: 1 !important;
}

.lines-2 {
  --lines: 2 !important;
}

.lines-3 {
  --lines: 3 !important;
}

.lines-4 {
  --lines: 4 !important;
}

/* resources/styles/animations/inview.css */
.is-style-animated-header {
  position: relative;
  overflow: hidden;
  z-index: 1;
  margin: 20px 0;
  padding: 10px;
  transition: transform .6s ease-out .8s;
  transform: translateX(-50px);
}

.is-style-animated-header:before {
  content: "";
  position: absolute;
  transform-origin: left;
  z-index: 2;
  background-color: #e8b651;
  width: 100%;
  height: 100%;
  transition: transform 1.2s cubic-bezier(.19,1,.22,1);
  top: 0;
  left: 0;
  transform: scaleX(1);
}

.is-style-animated-header.in-view:before {
  transform: scaleX(0);
}

.is-style-animated-header.in-view {
  transform: translateX(0);
}

/* resources/style.css */
header.wp-block-template-part {
  position: sticky;
  top: .2rem;
  z-index: 99998;
  left: 0;
  right: 0;
}

.wp-block-read-more {
  display: grid;
  place-content:  center;
  width: calc(100% - 2rem);
  margin-block-start: 1.5rem;
  margin-block-end: 1.5rem;
  margin-inline-start: auto;
  margin-inline-end: auto;
  padding: 1rem;
}

.is-root-container {
  margin-block-start: 2rem;
  margin-block-end: 2rem;
}

.wp-block-post-featured-image {
  position: relative;
}

.wp-block-post-featured-image img {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.test {
  border: 1px solid #0193dc;
}

::selection {
  color: #fff;
  background-color: #639b68;
}

.glass-card-dark {
  z-index: 1;
  backdrop-filter: blur(16px) saturate(180%);
  -webkit-backdrop-filter: blur(16px) saturate(180%);
  background-color: #111928bf;
  border: 1px solid #ffffff20;
  border-radius: 2px;
  width: min(100%, 555rem);
  padding: 1.5rem;
  box-shadow: 0 0 3px #ccc;
}

.glass-card-light {
  z-index: 1;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  background: #ffffff26;
  border: 1px solid #ffffff4d;
  border-radius: 6px;
  width: 50rem;
  max-width: 95%;
  padding: 1.5rem;
  box-shadow: 0 4px 30px #0000001a;
}

.glass-card-light a {
  text-decoration: none;
}

.is-style-glass {
  z-index: 1;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  background: #ffffff26;
  border: 1px solid #ffffff4d;
  border-radius: 6px;
  width: 50rem;
  max-width: 95%;
  padding: 1.5rem;
  box-shadow: 0 4px 30px #0000001a;
}

.is-style-glass a {
  text-decoration: none;
}

.font-poppins {
  font-family: var(--wp--preset--font-family--poppins) !important;
}

.font-yellowtail {
  font-family: var(--wp--preset--font-family--yellowtail) !important;
}

.button {
  color: #fff;
  background-color: #639b68;
  border: 2px solid #639b68;
}

.button:hover {
  color: #639b68;
  background-color: #fff;
  border: 2px solid #639b68;
}
